InvalidRecordLocationException (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.journal.InvalidRecordLocationException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.journal
Class InvalidRecordLocationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.activemq.journal.InvalidRecordLocationException

All Implemented Interfaces:
  Serializable

public class InvalidRecordLocationException
extends Exception

Exception thrown by a Journal to indicate that an invalid RecordLocation was detected.

Version:
  $Revision: 1.1 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`InvalidRecordLocationException()`
`InvalidRecordLocationException(String msg)`
`InvalidRecordLocationException(String msg, Throwable rootCause)`
`InvalidRecordLocationException(Throwable rootCause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRecordLocationException

    public InvalidRecordLocationException()

### InvalidRecordLocationException

    public InvalidRecordLocationException(String msg)

Parameters:
  `msg` -

### InvalidRecordLocationException

    public InvalidRecordLocationException(String msg,
                                          Throwable rootCause)

Parameters:
  `msg` -
  `rootCause` -

### InvalidRecordLocationException

    public InvalidRecordLocationException(Throwable rootCause)

Parameters:
  `rootCause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.